org.jboss.logmanager

## Interface LogContextSelector

All Known Implementing Classes:
  ClassLoaderLogContextSelector, ContextClassLoaderLogContextSelector, ThreadLocalLogContextSelector

    public interface LogContextSelector

A mechanism for determining what the current log context is. This method is used primarily when constructing new loggers to determine what context the constructed logger should be installed into.

### Method Summary

Methods
`LogContext` `getLogContext()` Get the current log context.

### Method Detail

#### getLogContext

    LogContext getLogContext()

Get the current log context.

Returns:
  the current log context